MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028064Open CASCADE[OCCT] OCCT:Samplespublic2016-11-07 19:572016-12-09 16:39
Reporterski 
Assigned Toapn 
PriorityhighSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version64 bit
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0028064: Samples - Raytracing does not work in Qt samples
DescriptionRaytracing does not work in Qt samples
Steps To Reproduce• Import any shape
• Turn ON raytracing
TagsNo tags attached.
Test case numberNot needed
Attached Filesjpg file icon 7.0_Raytracing.jpg (41,436 bytes) 2016-11-07 19:57
jpg file icon Master_Raytracing.jpg (27,292 bytes) 2016-11-07 19:57

- Relationships

-  Notes
(0059997)
duv (developer)
2016-11-08 12:57

In IESample QAction::triggered() signal should be used instead of QAction::activated() since activated() is part of the Qt3 support layer and seems to be dropped in recent Qt versions.
(0059998)
kgv (developer)
2016-11-08 12:59

Dear Sergey,

please try suggestion concerning QAction.
(0060023)
git (administrator)
2016-11-08 14:58

Branch CR28064 has been created by ski.

SHA-1: 759f92080a5c654e590c93fe230c67c75fccbe4c


Detailed log of new commits:

Author: ski
Date: Tue Nov 8 14:57:46 2016 +0300

    0028064: Samples - Raytracing does not work in Qt samples
    
    QAction signal activated() was changed to signal triggered() to support Qt5.
(0060024)
ski (developer)
2016-11-08 15:01

Using of out-of-date signal activated() was eliminated.

I have checked working of sample using Qt 4.8.6 and 5.6.1.

Please, review.
(0060025)
kgv (developer)
2016-11-08 15:09

I'm no a Qt expert here - should be OK if it works.
(0060092)
apv (tester)
2016-11-09 12:01

Tested in scope of CR0-IR-2016-11-08
(0061273)
git (administrator)
2016-12-07 11:31

Branch CR28064 has been deleted by kgv.

SHA-1: 759f92080a5c654e590c93fe230c67c75fccbe4c

- Related Changesets
occt: master a1565817
Timestamp: 2016-11-08 11:57:46
Author: ski
Committer: apn
Details ] Diff ]
0028064: Samples - Raytracing does not work in Qt samples

QAction signal activated() was changed to signal triggered() to support Qt5.
mod - samples/qt/Common/src/ApplicationCommon.cxx Diff ] File ]
mod - samples/qt/Common/src/View.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-11-07 19:57 ski New Issue
2016-11-07 19:57 ski Assigned To => abv
2016-11-07 19:57 ski File Added: 7.0_Raytracing.jpg
2016-11-07 19:57 ski File Added: Master_Raytracing.jpg
2016-11-08 11:00 kgv Assigned To abv => dbp
2016-11-08 11:00 kgv Priority normal => high
2016-11-08 11:00 kgv Status new => assigned
2016-11-08 11:00 kgv Product Version => 7.1.0
2016-11-08 11:00 kgv Target Version 7.2.0 => 7.1.0
2016-11-08 12:57 duv Note Added: 0059997
2016-11-08 12:59 kgv Note Added: 0059998
2016-11-08 12:59 kgv Assigned To dbp => ski
2016-11-08 14:58 git Note Added: 0060023
2016-11-08 15:01 ski Note Added: 0060024
2016-11-08 15:01 ski Assigned To ski => kgv
2016-11-08 15:01 ski Status assigned => resolved
2016-11-08 15:09 kgv Note Added: 0060025
2016-11-08 15:09 kgv Assigned To kgv => bugmaster
2016-11-08 15:09 kgv Status resolved => reviewed
2016-11-09 12:01 apv Test case number => Not needed
2016-11-09 12:01 apv Note Added: 0060092
2016-11-09 12:01 apv Status reviewed => tested
2016-11-09 17:43 apn Changeset attached => occt master a1565817
2016-11-09 17:43 apn Assigned To bugmaster => apn
2016-11-09 17:43 apn Status tested => verified
2016-11-09 17:43 apn Resolution open => fixed
2016-12-07 11:31 git Note Added: 0061273
2016-12-09 16:29 user533 Status verified => closed
2016-12-09 16:39 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker